### Function

# JavaScriptCore options_get_option_group

since: 2.24

#### Declaration [src]

    GOptionGroup*
    jsc_options_get_option_group (
      void
    )

#### Description [src]

Create a `GOptionGroup` to handle JSCOptions as command line arguments. The options will be exposed as command line arguments with the form <emphasis>—jsc-<option>=<value></emphasis>. Each entry in the returned `GOptionGroup` is configured to apply the corresponding option during command line parsing. Applications only need to pass the returned group to g_option_context_add_group(), and the rest will be taken care for automatically.

Available since: 2.24

#### Return value

Type: `GOptionGroup`

A `GOptionGroup` for the JSCOptions.

The caller of the function takes ownership of the data, and is responsible for freeing it.